#ifndef _CABLETESTER_H_
#define _CABLETESTER_H_

#define MAX_CHECKS    6     // number of tests before a switch is debounced

// Thimer1 is used to generate an interrupt every 4 ms. It must be
// initialized with 61926 in order to count 3600 times.
// 65536 - 3600 = 61936 = 0xf1f0
#define TIMER1_H   0xf1		// timer1 starting point
#define TIMER1_L   0xf0

// Debounced switches bits
#define ENC_SWITCH_A		0
#define ENC_SWITCH_B		1
#define ENC_SWITCH_PB		2

// Rotary encoder port defines
#define ENCODER_PORT		portb
#define ENCODER_A			0
#define ENCODER_B			1
#define ENCODER_PB			2

// Events bits
#define EVENT_BUTTON_PRESSED    0
#define EVENT_ENCODER_UP		1
#define EVENT_ENCODER_DOWN		2
#define EVENT_SWITCH_CHANGE		3

// Functions

void analyze_switch(void);
void debounce_switch(void);

#endif //_CABLETESTER_H_
